Package org.flowable.bpmn.model

# Class Activity

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

Direct Known Subclasses:
  `CallActivity`, `SubProcess`, `Task`

public abstract class Activity extends FlowNode

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<BoundaryEvent>`
  `boundaryEvents`
  `protected List<DataAssociation>`
  `dataInputAssociations`
  `protected List<DataAssociation>`
  `dataOutputAssociations`
  `protected String`
  `defaultFlow`
  `protected String`
  `failedJobRetryTimeCycleValue`
  `protected boolean`
  `forCompensation`
  `protected IOSpecification`
  `ioSpecification`
  `protected MultiInstanceLoopCharacteristics`
  `loopCharacteristics`
  `protected List<MapExceptionEntry>`
  `mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Activity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BoundaryEvent>`
  `getBoundaryEvents()`
  `List<DataAssociation>`
  `getDataInputAssociations()`
  `List<DataAssociation>`
  `getDataOutputAssociations()`
  `String`
  `getDefaultFlow()`
  `String`
  `getFailedJobRetryTimeCycleValue()`
  `IOSpecification`
  `getIoSpecification()`
  `MultiInstanceLoopCharacteristics`
  `getLoopCharacteristics()`
  `List<MapExceptionEntry>`
  `getMapExceptions()`
  `boolean`
  `hasMultiInstanceLoopCharacteristics()`
  `boolean`
  `isForCompensation()`
  `void`
  `setBoundaryEvents(List<BoundaryEvent> boundaryEvents)`
  `void`
  `setDataInputAssociations(List<DataAssociation> dataInputAssociations)`
  `void`
  `setDataOutputAssociations(List<DataAssociation> dataOutputAssociations)`
  `void`
  `setDefaultFlow(String defaultFlow)`
  `void`
  `setFailedJobRetryTimeCycleValue(String failedJobRetryTimeCycleValue)`
  `void`
  `setForCompensation(boolean forCompensation)`
  `void`
  `setIoSpecification(IOSpecification ioSpecification)`
  `void`
  `setLoopCharacteristics(MultiInstanceLoopCharacteristics loopCharacteristics)`
  `void`
  `setMapExceptions(List<MapExceptionEntry> mapExceptions)`
  `void`
  `setValues(Activity otherActivity)`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `clone, getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### defaultFlow

    protected String defaultFlow

  - ### forCompensation

    protected boolean forCompensation

  - ### loopCharacteristics

    protected MultiInstanceLoopCharacteristics loopCharacteristics

  - ### ioSpecification

    protected IOSpecification ioSpecification

  - ### dataInputAssociations

    protected List<DataAssociation> dataInputAssociations

  - ### dataOutputAssociations

    protected List<DataAssociation> dataOutputAssociations

  - ### boundaryEvents

    protected List<BoundaryEvent> boundaryEvents

  - ### failedJobRetryTimeCycleValue

    protected String failedJobRetryTimeCycleValue

  - ### mapExceptions

    protected List<MapExceptionEntry> mapExceptions

- ## Constructor Details

  - ### Activity

    public Activity()

- ## Method Details

  - ### getFailedJobRetryTimeCycleValue

    public String getFailedJobRetryTimeCycleValue()

  - ### setFailedJobRetryTimeCycleValue

    public void setFailedJobRetryTimeCycleValue(String failedJobRetryTimeCycleValue)

  - ### isForCompensation

    public boolean isForCompensation()

  - ### setForCompensation

    public void setForCompensation(boolean forCompensation)

  - ### getBoundaryEvents

    public List<BoundaryEvent> getBoundaryEvents()

  - ### setBoundaryEvents

    public void setBoundaryEvents(List<BoundaryEvent> boundaryEvents)

  - ### getDefaultFlow

    public String getDefaultFlow()

  - ### setDefaultFlow

    public void setDefaultFlow(String defaultFlow)

  - ### getLoopCharacteristics

    public MultiInstanceLoopCharacteristics getLoopCharacteristics()

  - ### setLoopCharacteristics

    public void setLoopCharacteristics(MultiInstanceLoopCharacteristics loopCharacteristics)

  - ### hasMultiInstanceLoopCharacteristics

    public boolean hasMultiInstanceLoopCharacteristics()

  - ### getIoSpecification

    public IOSpecification getIoSpecification()

  - ### setIoSpecification

    public void setIoSpecification(IOSpecification ioSpecification)

  - ### getDataInputAssociations

    public List<DataAssociation> getDataInputAssociations()

  - ### setDataInputAssociations

    public void setDataInputAssociations(List<DataAssociation> dataInputAssociations)

  - ### getDataOutputAssociations

    public List<DataAssociation> getDataOutputAssociations()

  - ### setDataOutputAssociations

    public void setDataOutputAssociations(List<DataAssociation> dataOutputAssociations)

  - ### getMapExceptions

    public List<MapExceptionEntry> getMapExceptions()

  - ### setMapExceptions

    public void setMapExceptions(List<MapExceptionEntry> mapExceptions)

  - ### setValues

    public void setValues(Activity otherActivity)